My Oracle Support Banner

OPSS- After ADF and Java upgrade observing Failed to initialize the application due to PKI-02002: Unable to open the wallet. <BEA-149205> <Failed to initialize the application 'my_application' due to error java.lang.NullPointerException (Doc ID 2471207.1)

Last updated on APRIL 09, 2019

Applies to:

Oracle Platform Security for Java - Version 11.1.1.9.0 and later
Information in this document applies to any platform.

Symptoms

On : 11.1.1.9.0 version, Java Platform Security

After an ADF upgrade from 11.1.1.6 to 11.1.1.19 and JDK upgrade from jrockit-1.6 to JDK-1.7.

While deploying the application, observing following error:

<Nov 6, 2018 8:21:36 PM PST> <Warning> <oracle.jps.credstore> <JPS-01050> <Opening of wallet based credential store failed. Reason java.io.IOException: PKI-02002: Unable to open the wallet. Check password. >
<Nov 6, 2018 8:21:36 PM PST> <Error> <Deployer> <BEA-149205> <Failed to initialize the application 'my_application' due to error java.lang.NullPointerException.
java.lang.NullPointerException
  at oracle.security.jps.internal.config.deploy.AbstractCredentialDeployment.cleanupTempFiles(AbstractCredentialDeployment.java:141)
  at oracle.security.jps.internal.config.deploy.AbstractCredentialDeployment.migrate(AbstractCredentialDeployment.java:131)
  at oracle.security.jps.internal.config.deploy.DefaultCredentialHandler.handle(DefaultCredentialHandler.java:45)
  at oracle.security.jps.wls.listeners.JpsApplicationLifecycleListener.callHandler(JpsApplicationLifecycleListener.java:125)
  at oracle.security.jps.wls.listeners.JpsApplicationLifecycleListener.handle(JpsApplicationLifecycleListener.java:106)
  Truncated. see log file for complete stacktrace
Caused By: java.lang.NullPointerException
  at oracle.security.jps.internal.config.deploy.AbstractCredentialDeployment.cleanupTempFiles(AbstractCredentialDeployment.java:141)
  at oracle.security.jps.internal.config.deploy.AbstractCredentialDeployment.migrate(AbstractCredentialDeployment.java:131)
  at oracle.security.jps.internal.config.deploy.DefaultCredentialHandler.handle(DefaultCredentialHandler.java:45)
  at oracle.security.jps.wls.listeners.JpsApplicationLifecycleListener.callHandler(JpsApplicationLifecycleListener.java:125)
  at oracle.security.jps.wls.listeners.JpsApplicationLifecycleListener.handle(JpsApplicationLifecycleListener.java:106)
Truncated. see log file for complete stacktrace
>
<Nov 6, 2018 8:21:36 PM PST> <Warning> <J2EE> <BEA-160195> <The application version lifecycle event listener oracle.security.jps.wls.listeners.JpsAppVersionLifecycleListener is ignored because the application em is not versioned.>

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.